package lab2;

import c4e.media.ToneEmitter;
import c4e.phidget.Event;
import c4e.phidget.HardwareInterface;

public class NotePlayer extends HardwareInterface
{

	private ToneEmitter emitter;
	private long delay;

	public NotePlayer(boolean debug)
	{
		super(debug);
		this.emitter = new ToneEmitter();
		this.delay = 1000;
		this.setTimer(delay);
	}

	@Override
	public void timerCallback()
	{
		System.out.println("Playing C");
		this.emitter.setVolume(1.0);
		this.emitter.play(ToneEmitter.NOTE_C);
		this.emitter.setVolume(0.0);
		this.setTimer(1000);
	}

	@Override
	public void analogInputChanged(Event ae)
	{
		System.out.println("analogInputChange event " + ae);
	}

}
